Template Numerical Library: TNL::Matrices::StaticMatrix< Value, Rows, Columns, Permutation > Class Template Reference

Template Numerical Library version\ main:c7077e4fd

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
TNL::Matrices::StaticMatrix< Value, Rows, Columns, Permutation > Class Template Reference
Inheritance diagram for TNL::Matrices::StaticMatrix< Value, Rows, Columns, Permutation >:
[legend]
Collaboration diagram for TNL::Matrices::StaticMatrix< Value, Rows, Columns, Permutation >:
[legend]

## Public Member Functions
__cuda_callable__ constexpr | StaticMatrix (const StaticMatrix &)=default
__cuda_callable__ constexpr | StaticMatrix (const std::initializer_list< Value > &elems)
template<typename T>
__cuda_callable__ constexpr | StaticMatrix (const T &v)
__cuda_callable__ Containers::StaticVector< Rows, Value > | operator* (const Containers::StaticVector< Columns, Value > &vector) const
template<typename T>
__cuda_callable__ constexpr StaticMatrix< Value, Rows, Columns > & | operator*= (const T &value)
__cuda_callable__ constexpr StaticMatrix< Value, Rows, Columns > & | operator+= (const StaticMatrix< Value, Rows, Columns > &matrix)
__cuda_callable__ constexpr StaticMatrix< Value, Rows, Columns > & | operator-= (const StaticMatrix< Value, Rows, Columns > &matrix)
template<typename T>
__cuda_callable__ constexpr StaticMatrix< Value, Rows, Columns > & | operator/= (const T &value)
template<typename T>
__cuda_callable__ constexpr StaticMatrix< Value, Rows, Columns, Permutation > & | operator= (const T &v)
template<typename T>
__cuda_callable__ constexpr StaticMatrix & | operator= (const T &v)
void | print (std::ostream &str) const
Public Member Functions inherited from TNL::Containers::StaticNDArray< Value, Containers::SizesHolder< int, Rows, Columns >, std::index_sequence< 0, 1 > >
constexpr void | setValue (Value value)
| Sets all elements of the array to given value.

## Static Public Member Functions
static constexpr std::size_t | getColumns ()
static constexpr std::size_t | getRows ()

The documentation for this class was generated from the following file:

- src/TNL/Matrices/StaticMatrix.h